OpenCV: cv::dnn::LayerFactory Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Static Public Member Functions | List of all members
cv::dnn::LayerFactory Class Reference
Deep Neural Network module » Utilities for New Layers Registration

Layer factory allows to create instances of registered layers. More...

`#include "layer.hpp"`

## Public Types
typedef Ptr< Layer >(* | Constructor) (LayerParams &params)
| Each Layer class must provide this function to the factory. More...

## Static Public Member Functions
static Ptr< Layer > | createLayerInstance (const String &type, LayerParams &params)
| Creates instance of registered layer. More...
static void | registerLayer (const String &type, Constructor constructor)
| Registers the layer class with typename `type` and specified `constructor`. Thread-safe. More...
static void | unregisterLayer (const String &type)
| Unregisters registered layer with specified type name. Thread-safe. More...

## Detailed Description

Layer factory allows to create instances of registered layers.

## Member Typedef Documentation

## ◆ Constructor

typedef Ptr<Layer>(* cv::dnn::LayerFactory::Constructor) (LayerParams &params)

Each Layer class must provide this function to the factory.

## Member Function Documentation

## ◆ createLayerInstance()

static Ptr<Layer> cv::dnn::LayerFactory::createLayerInstance | ( | const String & | type,
|  | LayerParams & | params
| ) |  |
| static

Creates instance of registered layer.

Parameters

  type | type name of creating layer.
  params | parameters which will be used for layer initialization.

Note
  Thread-safe.

## ◆ registerLayer()

static void cv::dnn::LayerFactory::registerLayer | ( | const String & | type,
|  | Constructor | constructor
| ) |  |
| static

Registers the layer class with typename `type` and specified `constructor`. Thread-safe.

## ◆ unregisterLayer()

static void cv::dnn::LayerFactory::unregisterLayer | ( | const String & | type | ) |
| static

Unregisters registered layer with specified type name. Thread-safe.

The documentation for this class was generated from the following file:

- dnn/include/opencv2/dnn/layer.hpp